| Home | Libraries | People | FAQ | More

## Class template atomic_inc

boost::compute::atomic_inc

## Synopsis

    // In header: <boost/compute/functional/atomic.hpp>

    template<typename T>
    class atomic_inc : public boost::compute::function< T(T *)> {
    public:

      // public member functions
      atomic_inc();
    };

## Description

### `atomic_inc` public member functions

1.     atomic_inc();